<template>
    <section class="section">
        <div class="container is-fullwidth box">

            <h1 class="title is-4">Pedidos</h1>

                <article class="message" v-if="orders.length">
                    <div class="message-body">
                        <table class="table is-fullwidth is-hoverable">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>data</th>
                                    <th>produtos</th>
                                    <th>total</th>
                                    <th>situação</th>
                                    <th>Ação</th>
                                </tr>
                            </thead>
                            <tbody>
                                <Order
                                    v-for="order in orders"
                                    :key="order.id"
                                    :order="order"
                                />
                            </tbody>
                        </table>
                    </div>
                </article>
                <article class="message" v-else>
                    <div class="message-body">
                        <p>Voçê não tem pedidos</p>
                    </div>
                </article>
            </div>
    </section>
</template>

<script>
import Order from '@/components/orders/Order'
export default {
    middleware: 'auth-user',
    data() {
        return {
            orders: []
        }
    },

    components: {
        Order
    },

    async asyncData({ app }) {
        let response = await app.$axios.$get('/api/orders')

        return {
            orders: response.data
        }
    },
}
</script>
